Bug 1763057 - Wrong number of reported pods in unavailable state
Summary: Wrong number of reported pods in unavailable state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1763056
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 07:37 UTC by Pawel Krupa
Modified: 2019-11-13 18:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1763056
Environment:
Last Closed: 2019-11-13 18:55:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 513 'None' 'closed' 'Bug 1763057: pkg/client: Fix setting number of unavailable pods for DaemonSet' 2019-11-19 15:44:42 UTC
Red Hat Product Errata RHBA-2019:3303 None None None 2019-11-13 18:56:02 UTC

Description Pawel Krupa 2019-10-18 07:37:22 UTC
+++ This bug was initially created as a clone of Bug #1763056 +++

Description of problem:

When DaemonSet is not fully rolled out, CMO reports incorrect number of unavailable pods.

Comment 5 errata-xmlrpc 2019-11-13 18:55:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3303


Note You need to log in before you can comment on or make changes to this bug.